NX Open C++ Reference Guide
|
Represents a tool to control whether to show a curve's poles,knots,combs,peaks and inflections
To obtain an instance of this class, refer to GeometricAnalysis::AnalysisObjectCollection
Created in NX6.0.0.
More...
Public Types | |
enum | ShowFlagType { ShowFlagTypePole, ShowFlagTypeComb, ShowFlagTypeInflection, ShowFlagTypePeak, ShowFlagTypeKnot, ShowFlagTypeEndpoint } |
Show flag types More... | |
Public Member Functions | |
NXOpen::GeometricAnalysis::CurveAnalysisRecord * | GetAnalysisRecord (NXOpen::Curve *curve) |
Gets analysis record. | |
bool | GetShowEndPoints (NXOpen::Curve *curve) |
Gets a flag representing end points display state of a curve. | |
bool | GetShowKnot (NXOpen::Curve *curve) |
Gets a flag representing knots display state of a b-spline curve. | |
bool | GetShowPole (NXOpen::Curve *curve) |
Gets a flag representing poles display state of a b-spline curve. | |
NXOpen::GeometricAnalysis::CurveAnalysisRecord * | NewRecord () |
Creats a curve analysis record. | |
void | SetAnalysisRecord (NXOpen::Curve *curve, NXOpen::GeometricAnalysis::CurveAnalysisRecord *record) |
Sets analysis record | |
void | SetShowEndPoints (NXOpen::Curve *curve, bool show) |
Sets a flag representing end points display state of a curve Created in NX8.5.0. | |
void | SetShowFlag (NXOpen::Curve *curve, NXOpen::GeometricAnalysis::CurveAnalysisDisplay::ShowFlagType choice, bool on) |
Sets show flags | |
void | SetShowKnot (NXOpen::Curve *curve, bool show) |
Sets a flag representing knots display state of a b-spline curve Created in NX8.5.0. | |
void | SetShowPole (NXOpen::Curve *curve, bool show) |
Sets a flag representing poles display state of a b-spline curve Created in NX8.5.0. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a tool to control whether to show a curve's poles,knots,combs,peaks and inflections
To obtain an instance of this class, refer to GeometricAnalysis::AnalysisObjectCollection
Created in NX6.0.0.
Show flag types
Use GeometricAnalysis::CurveAnalysisDisplay::SetShowPole , GeometricAnalysis::CurveAnalysisDisplay::SetShowKnot , GeometricAnalysis::CurveAnalysisDisplay::SetShowEndPoints methods.
NXOpen::GeometricAnalysis::CurveAnalysisRecord* NXOpen::GeometricAnalysis::CurveAnalysisDisplay::GetAnalysisRecord | ( | NXOpen::Curve * | curve | ) |
Gets analysis record.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
bool NXOpen::GeometricAnalysis::CurveAnalysisDisplay::GetShowEndPoints | ( | NXOpen::Curve * | curve | ) |
Gets a flag representing end points display state of a curve.
curve | curve |
bool NXOpen::GeometricAnalysis::CurveAnalysisDisplay::GetShowKnot | ( | NXOpen::Curve * | curve | ) |
Gets a flag representing knots display state of a b-spline curve.
curve | curve |
bool NXOpen::GeometricAnalysis::CurveAnalysisDisplay::GetShowPole | ( | NXOpen::Curve * | curve | ) |
Gets a flag representing poles display state of a b-spline curve.
curve | curve |
NXOpen::GeometricAnalysis::CurveAnalysisRecord* NXOpen::GeometricAnalysis::CurveAnalysisDisplay::NewRecord | ( | ) |
Creats a curve analysis record.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::GeometricAnalysis::CurveAnalysisDisplay::SetAnalysisRecord | ( | NXOpen::Curve * | curve, |
NXOpen::GeometricAnalysis::CurveAnalysisRecord * | record | ||
) |
Sets analysis record
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
record | curve analysis record |
void NXOpen::GeometricAnalysis::CurveAnalysisDisplay::SetShowEndPoints | ( | NXOpen::Curve * | curve, |
bool | show | ||
) |
Sets a flag representing end points display state of a curve
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
show | show |
void NXOpen::GeometricAnalysis::CurveAnalysisDisplay::SetShowFlag | ( | NXOpen::Curve * | curve, |
NXOpen::GeometricAnalysis::CurveAnalysisDisplay::ShowFlagType | choice, | ||
bool | on | ||
) |
Sets show flags
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
choice | pole/comb/inflection/peak/knot |
on | true/false to show flags |
void NXOpen::GeometricAnalysis::CurveAnalysisDisplay::SetShowKnot | ( | NXOpen::Curve * | curve, |
bool | show | ||
) |
Sets a flag representing knots display state of a b-spline curve
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
show | show |
void NXOpen::GeometricAnalysis::CurveAnalysisDisplay::SetShowPole | ( | NXOpen::Curve * | curve, |
bool | show | ||
) |
Sets a flag representing poles display state of a b-spline curve
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | curve |
show | show |
tag_t NXOpen::GeometricAnalysis::CurveAnalysisDisplay::Tag | ( | ) | const |
Returns the tag of this object.